<template>
  <v-container
    fluid
  >
    <v-row
      class="justify-center"
      align="center"
    >
      <v-col
        class="justify-center align-center"
      >
        <m-card
          background-color="primary"
          background-image="/images/PictoCommunautes.svg"
          text-color="white--text"
          :card-title="$t('community.title')"
          :card-text="$t('community.text')"
          :card-text-button="$t('community.button.label')"
          card-text-color-button="secondary--text"
          card-color-button="white"
          :href-button="$t('community.button.route')"
          :card-text-button-two="$t('community.button2.label')"
          :card-outlined-button-two="true"
          :href-button-two="$t('community.button2.route')"
          class="mx-2"
          :must-be-logged-button-two="false"
        />
      </v-col>
      <v-col
        class="justify-center"
      >
        <m-card
          background-color="warning"
          background-image="/images/PictoEvenements.svg"
          text-color="white--text"
          :card-title="$t('event.title')"
          :card-text="$t('event.text')"
          :card-text-button="$t('event.button.label')"
          card-text-color-button="secondary--text"
          card-color-button="white"
          :href-button="$t('event.button.route')"
          class="mx-2"
        />
      </v-col>
      <v-col
        class="justify-center"
      >
        <m-card
          background-color="success"
          background-image="/images/PictoCovoiturageSolidaire.svg"
          text-color="white--text"
          :card-title="$t('solidary.title')"
          :card-text="$t('solidary.text')"
          :card-text-button="$t('solidary.button.label')"
          card-text-color-button="secondary--text"
          card-color-button="white"
          :href-button="urlMobile + $t('solidary.button.route')"
          :card-text-button-two="$t('solidary.button2.label')"
          card-text-color-button-two="secondary--text"
          card-color-button-two="white"
          :href-button-two="$t('solidary.button2.route')"
          class="mx-2"
          :user-id="userId"
          :must-be-logged-button-two="true"
          :must-be-logged-button-text-two="$t('mustMeLogged')"
        />
      </v-col>
    </v-row>
    <v-row
      class="justify-center"
      align-content="center"
    >
      <v-col
        cols="12"
      >
        <m-phone-display />
      </v-col>
    </v-row>
    <v-row
      class="justify-center theme--light"
    >
      <v-col
        cols="12"
        lg="10"
      >
        <m-carousel />
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
import { merge } from "lodash";
import MCard from '@clientJs/components/home/MCard'
import MCarousel from '@clientJs/components/home/MCarousel'
import MPhoneDisplay from '@clientJs/components/home/MPhoneDisplay'
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/HomeContent/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/HomeContent/";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    MCard,
    MCarousel,
    MPhoneDisplay
  },
  props: {
    userId: {
      type: Number,
      default: null
    },
    urlMobile: {
      type: String,
      default: null
    }
  },
  data () {
    return {
      mobileUrl: this.urlMobile
    }
  }
}
</script>